## org.apache.log4j.pattern
Class BridgePatternParser

    java.lang.Object
      org.apache.log4j.helpers.PatternParser
          org.apache.log4j.pattern.BridgePatternParser

    public final class BridgePatternParser

extends PatternParser

The class implements the pre log4j 1.3 org.apache.log4j.helpers.PatternConverter contract by delegating to the log4j 1.3 pattern implementation.

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.log4j.helpers.PatternParser
`currentLiteral, formattingInfo, i, pattern, patternLength`

Constructor Summary
`BridgePatternParser(String conversionPattern)` Create a new instance.

Method Summary
`PatternConverter` `parse()` Create new pattern converter.

Methods inherited from class org.apache.log4j.helpers.PatternParser
`addConverter, extractOption, extractPrecisionOption, finalizeConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgePatternParser

    public BridgePatternParser(String conversionPattern)

  Create a new instance.

  Parameters:
    `conversionPattern` - pattern, may not be null.

Method Detail

### parse

    public PatternConverter parse()

  Create new pattern converter.

  Overrides:
    `parse` in class `PatternParser`
  Returns:
    pattern converter.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.